Subject: Re: bug#62481: Unable to build master

From: Arsen Arsenović <[email-masked]>
Date: Wed, 29 Mar 2023 13:50:16 +0200

Andrea Corallo <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Juan Miguel Carceller <[email-masked]>
>>> Date: Mon, 27 Mar 2023 08:42:22 +0000
>>> 
>>> I pulled today from the github mirror from master and now emacs doesn't build, even after a clean build. This
>>> is what I get:
>>> 
>>> ```
>>> Error: native-ice ("org/org-plot.el" "block does not end with a branch" #s(comp-block-lap bb_8 ((comment
>>> "LAP TAG 83") (call helper_unbind_n #s(comp-mvar nil nil ((1 . 1)) nil nil nil)) (setimm #s(comp-mvar (t) nil
>>
>> Could be a duplicate of bug#61917.
>>
>> Andrea, can you take a look, please?
>
> Yep will do
>
>   Andrea

I bisected this before learning of this bug report to commit
emacs-28.2-164697-g52b67740d10.  Reverting that commit lets me build
Emacs.

On gcc (Gentoo Hardened 13.0.1_pre20230326 p9) 13.0.1 20230326
(experimental)

Hope that helps, have a lovely day.
-- 
Arsen Arsenović